Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0005500 [JEDI VCL] 02 Installation block always 2011-02-25 16:33 2011-09-21 14:10
Reporter chickenrudi View Status public  
Assigned To outchy
Priority normal Resolution fixed  
Status resolved   Product Version Daily / GIT
Summary 0005500: "Invalid code page" when trying to install JVCL
Description Running "install.bat" on freshly upgraded svn sources just gives an EEncodingError exception with the message: "Invalid code page". Installation of the JVCL is not possible.

Additional Information If I revert outchy's changes from here:

http://jcl.svn.sourceforge.net/viewvc/jcl/trunk/jcl/source/common/JclSimpleXml.pas?r1=3494&r2=3498 [^]

everything runs fine again. But this is probably not the solution.

The problem starts in PackageInformation.pas at line 1213.

Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0018416)
outchy (administrator)
2011-02-26 06:56

happen only with Unicode-enabled Delphi (Delphi 2009 and newer).
This is fixed in revision 12990.
(0018417)
chickenrudi (reporter)
2011-02-26 10:35

Okay, works now at least with delphi 2010. Thank you.
(0018466)
edelklaus (reporter)
2011-03-23 19:00

Today I downloaded the daily package and I get the same error ("inavlid code page") which prevents installing JVCL :-(
On my ialian on Win 7 64 bit SP 1 I've installed BDS 2006 (just Delphi) and Delphi 2010.
I also downloaded and installed today JCL daily. It's revision is 4039. In this revision the method TJclSimpleXML.LoadFromString (declared in unit JclSimpleXml) refers to UFT16, but in TPackageGroup.LoadBDSGroupFile an UFT8 decoded file is being loaded.
I could manually compile the JVCLInstall.exe with Delphi 2006 and get the JVCL installed in this way.
(0018523)
obones (administrator)
2011-04-18 22:13

This is now fixed in SVN

- Issue History
Date Modified Username Field Change
2011-02-25 16:33 chickenrudi New Issue
2011-02-25 16:33 chickenrudi IDE version => Delphi/C++Builder 2010
2011-02-26 06:53 outchy Project JEDI Code Library => JEDI VCL
2011-02-26 06:53 outchy Category Installation => 02 Installation
2011-02-26 06:53 outchy version Version 2.3 (Subversion repository/Daily zips) => Daily / SVN
2011-02-26 06:56 outchy Note Added: 0018416
2011-02-26 06:56 outchy Assigned To => outchy
2011-02-26 06:56 outchy Status new => feedback
2011-02-26 10:35 chickenrudi Note Added: 0018417
2011-03-23 19:00 edelklaus Note Added: 0018466
2011-04-18 22:13 obones Note Added: 0018523
2011-04-18 22:13 obones Status feedback => resolved
2011-04-18 22:13 obones Fixed in Version => Daily / SVN
2011-04-18 22:13 obones Resolution open => fixed
2011-09-21 14:10 obones Fixed in Version Daily / SVN => 3.45


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker